## groovy.lang
Class GroovySystem

Field Summary
`MetaClassRegistry` | `META_CLASS_REGISTRY`
`boolean` | `USE_REFLECTION`
`boolean` | `keepJavaMetaClasses`
`MetaClass` | `objectMetaClass`

Constructor Summary
`GroovySystem()` The MetaClass for java.lang.Object

Method Summary
`static MetaClassRegistry` | `getMetaClassRegistry()`
`static boolean` | `isKeepJavaMetaClasses()`
`static boolean` | `isUseReflection()`
`static void` | `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`

Constructor Detail

### GroovySystem

    GroovySystem()

  The MetaClass for java.lang.Object

Method Detail

### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

### isUseReflection

    public static boolean isUseReflection()

### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)